# vim:noexpandtab:sw=2 ts=2

moddir = \
  ${AP_LIBEXECDIR}

# libraries
mod_LTLIBRARIES = \
  mod_smooth_streaming.la

# library: mod_smooth_streaming
mod_smooth_streaming_la_SOURCES = \
  mod_smooth_streaming.cpp

mod_smooth_streaming_la_CXXFLAGS = \
  -Wall \
  -Werror \
  ${MODULE_CFLAGS}

mod_smooth_streaming_la_CPPFLAGS = \
  -I$(top_srcdir)/common \
  $(FMP4_CFLAGS) \
  -DMODULE_NAME=smooth_streaming

mod_smooth_streaming_la_LDFLAGS = \
  $(FMP4_LDFLAGS) \
  -rpath ${AP_LIBEXECDIR} \
  -module \
  -avoid-version \
  ${MODULE_LDFLAGS}

mod_smooth_streaming_la_LIBADD = \
  ../common/libcommon.la

EXTRA_DIST = \
  mod_smooth_streaming.conf \
  mod_smooth_streaming.load

install: install-am
	rm -f $(DESTDIR)${AP_LIBEXECDIR}/mod_smooth_streaming.a
	rm -f $(DESTDIR)${AP_LIBEXECDIR}/mod_smooth_streaming.la
